package domain

type AlibabaWdkMarketingItempoolItemAddAsyncCommonActivityParam struct {
	/*
	   外部活动编码     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   活动Id     */
	ActivityId *int64 `json:"activity_id,omitempty" `
}

func (s *AlibabaWdkMarketingItempoolItemAddAsyncCommonActivityParam) SetOutActId(v string) *AlibabaWdkMarketingItempoolItemAddAsyncCommonActivityParam {
	s.OutActId = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolItemAddAsyncCommonActivityParam) SetActivityId(v int64) *AlibabaWdkMarketingItempoolItemAddAsyncCommonActivityParam {
	s.ActivityId = &v
	return s
}
